#include "app.h"
UINT8 SET_C_I[6];
void bigmap(void);
UINT32 Register( char* file_uri,  char* param,  UINT32 reserve );
UINT32 HandleUITokenGranted( EVENT_STACK_T *ev_st,  void *app );
UINT32 startApp( EVENT_STACK_T *ev_st,  REG_ID_T reg_id,  UINT32 param2 );
//UINT32 destroyApp( EVENT_STACK_T *ev_st,  void *app );
UINT32 MainStateEnter( EVENT_STACK_T *ev_st,  void *app,  ENTER_STATE_TYPE_T type );
UINT32 mSendListItems( EVENT_STACK_T *ev_st,  void *app, UINT32 start, UINT32 num);
UINT32 fbSelectItem( EVENT_STACK_T *ev_st,  void *app ) ;
UINT32 HandleListReq( EVENT_STACK_T *ev_st,  void *app );
UINT32 StateExit( EVENT_STACK_T *ev_st,  void *app,  EXIT_STATE_TYPE_T type );
UINT32 SetStringRes( RESOURCE_ID * res, const WCHAR * text );
UINT32 HandleOpen( EVENT_STACK_T *ev_st,  void *app );
UINT32 mSelectItem( EVENT_STACK_T *ev_st,  void *app ) ;
UINT32 mback( EVENT_STACK_T *ev_st,  void *app ) ;
UINT32 mKeypress( EVENT_STACK_T *ev_st,  void *app );
UINT32 mKeyrelease( EVENT_STACK_T *ev_st,  void *app );
UINT32	readmark( EVENT_STACK_T *ev_st,  void *app );
UINT32	gotoread( EVENT_STACK_T *ev_st,  void *app );
UINT32	readset( EVENT_STACK_T *ev_st,  void *app );
UINT32 mHandleNavigate( EVENT_STACK_T * ev_st, void * app );
void ELF_HandleEvent( EVENT_STACK_T * ev_st, void * app, APP_ID_T app_id, REG_ID_T reg_id );
UINT32 MAKEContent( EVENT_STACK_T * ev_st, void * app,CONTENT_T * dst, UINT8 cont );
typedef struct {
    UINT32        R0;
    UINT32        R1;
} _u64;
typedef	UINT64						DL_FS_MID_T;